<?php

namespace Drupal\edlp_ajax_node\Controller;

use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;


class EdlpAjaxNodeController extends ControllerBase {

  private function query() {
    $this->node = entity_load('node', $this->nid);
  }

  private function toRenderable(){
    $this->query();
    // dpm($this->future_nodes);
    return array(
      "#theme"=>'edlp_ajax_node',
      '#node' => $this->node,
    );
  }

  /**
   * Display node as a page.
   *
   * @return renderable array
   */
  public function node($nid) {
    $this->nid = $nid;
    return $this->toRenderable();
  }

  /**
   * Get node as json through ajax.
   *
   * @return json
   */
  public function nodejson($nid) {
    $this->nid = $nid;
    $response = new JsonResponse();
    $renderable = $this->toRenderable();
    $rendered = render($renderable);

    $response->setData([
      'test'=>'hello edlp ajax node',
      'nid' => $this->nid,
      'rendered'=> $rendered
    ]);

    return $response;
  }

}
